View Issue Details

IDProjectCategoryView StatusLast Update
0001504SkyChart1-Softwarepublic16-03-02 10:40
ReporterSasa Assigned ToPatrick Chevalley  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionno change required 
Summary0001504: Additional Qt version for Linux?
DescriptionSeems to me that Qt widgetset is much more stable than gtk2 on Lazarus.

Is it too much trouble to you to make another, Qt .deb distribution for testing purposes at least?
TagsNo tags attached.

Activities

Patrick Chevalley

16-02-14 13:23

administrator   ~0003284

Not sure about stability, there is probably more Lazarus bug report for Gtk2 because Qt is much less used as Gtk2 is the default target.

I not want to make a Linux Qt version now to not add more complexity to the program installation.

But it is very easy for you to compile a Qt version, just install Lazarus and change the build target to Qt. The target is already defined in cdc.lpi .

 

Sasa

16-02-14 14:38

reporter   ~0003285

Last edited: 16-02-14 14:51

View 6 revisions

Thank you.

Zeljan Rikalo started with Qt long time before gtk2 become default and using it extensively. That make me to believe it is more stable than gtk2.

I will try to install latest FPC/Lazarus you using and as well required components and compare parallel with gtk2 version. This also may be useful to report any existed bug in CDC GUI, for next stable version you planning.

I have some spare time few days and I would like to provide some further tests in CDC GUI mostly...

Patrick Chevalley

16-02-14 15:22

administrator   ~0003286

The documentation page for source code compilation is still valid for current version:
https://www.ap-i.net/skychart/en/documentation/installation_and_compilation_of_the_source_code

At the moment I use the following svn version:
fpc: http://svn.freepascal.org/svn/fpc/tags/release_3_0_0
lazarus: http://svn.freepascal.org/svn/lazarus/branches/fixes_1_6

I will switch Lazarus to tags/lazarus_1_6 when the stable 1.6 version is released.

Sasa

16-02-29 19:53

reporter   ~0003328

This can be closed. I will test it when free time allow.
Thank you.

Patrick Chevalley

16-03-02 10:40

administrator   ~0003331

I forget to say you must install the package libqt4pas5 to make the Lazarus Qt to work.

Also stable Lazarus 1.6 is now available, I use the following for all my builds:
http://svn.freepascal.org/svn/lazarus/tags/lazarus_1_6

Issue History

Date Modified Username Field Change
16-02-14 04:24 Sasa New Issue
16-02-14 13:23 Patrick Chevalley Note Added: 0003284
16-02-14 13:23 Patrick Chevalley Assigned To => Patrick Chevalley
16-02-14 13:23 Patrick Chevalley Status new => acknowledged
16-02-14 14:38 Sasa Note Added: 0003285
16-02-14 14:39 Sasa Note Edited: 0003285 View Revisions
16-02-14 14:39 Sasa Note Edited: 0003285 View Revisions
16-02-14 14:44 Sasa Note Edited: 0003285 View Revisions
16-02-14 14:45 Sasa Note Edited: 0003285 View Revisions
16-02-14 14:51 Sasa Note Edited: 0003285 View Revisions
16-02-14 15:22 Patrick Chevalley Note Added: 0003286
16-02-29 19:53 Sasa Note Added: 0003328
16-03-02 10:40 Patrick Chevalley Note Added: 0003331
16-03-02 10:40 Patrick Chevalley Status acknowledged => resolved
16-03-02 10:40 Patrick Chevalley Resolution open => no change required